Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
API Reference
cURL
curl --request DELETE \ --url https://api.voicebot.studio/api/v1/calls/{call_id} \ --header 'X-API-Key: <api-key>'
import requests url = "https://api.voicebot.studio/api/v1/calls/{call_id}" headers = {"X-API-Key": "<api-key>"} response = requests.delete(url, headers=headers) print(response.text)
const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}}; fetch('https://api.voicebot.studio/api/v1/calls/{call_id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.voicebot.studio/api/v1/calls/{call_id}" req, _ := http.NewRequest("DELETE", url, nil) req.Header.Add("X-API-Key", "<api-key>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
{ "id": "<string>", "type": "<string>", "messages": [ { "secondsFromStart": 123, "role": "<string>", "message": "<string>", "time": 123, "endTime": 123, "source": "<string>", "duration": 123 } ], "phoneCallProvider": "<string>", "phoneCallTransport": "<string>", "status": "<string>", "endedReason": "<string>", "orgId": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "startedAt": "2023-11-07T05:31:56Z", "endedAt": "2023-11-07T05:31:56Z", "analysis": { "summary": "<string>", "successEvaluation": "<string>" }, "phoneCallProviderId": "<string>", "assistantId": "<string>", "phoneNumberId": "<string>", "customer": {}, "transcript": "<string>", "recordingUrl": "<string>", "summary": "<string>", "stereoRecordingUrl": "<string>", "transport": {}, "organizationId": "<string>" }
{ "detail": [ { "loc": [ "<string>" ], "msg": "<string>", "type": "<string>" } ] }
Delete a call.
Successful Response
Show child attributes